gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Dialog A FontSelectionDialog is a widget that opens a window requesting the user to select a font

The FontSelectionDialog widget displays a window listing the available fonts, styles and sizes, allowing the user to select a font. It effectively places a widget in a .

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  A title that will appear in the window's title bar.
  Create a new FontSelectionDialog
- Property
  2.12.0.0
  Gtk.Button The dialog's "Apply" button. a
- Property
  2.12.0.0
  Gtk.Button The dialog's "Cancel" button. a
- Property
  2.12.0.0
  System.Obsolete
  Gdk.Font The font that was selected using the dialog. a
- Property
  2.12.0.0
  System.String The name of the font that is selected in this widget The name of the currently selected font.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  Gtk.Button The dialog's "OK" button. a
- Property
  2.12.0.0
  System.String The text used to display a preview of the selected font. The text currently displaying the selected font.

  This property determines the exact string that is displayed in the 'preview area' of the FontSelectionDialog.

- Method
  2.12.0.0
  System.Boolean `` The name of a system font to select. Sets the name of the font that is selected in this widget. if was a valid font, otherwise.

  If this property is used to alter the widget's font name to a font that could not be found, the widget will retain its original font selection.